View Issue Details

IDProjectCategoryView StatusLast Update
0020116mantisbtdocumentationpublic2016-08-15 09:02
Reporterjean.fmsAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.2.20Fixed in Version1.2.20 
Summary0020116: Documentation contains description for obsolete configuration option allow_bug_delete_access_level
Description

I have tried to append in config.inc.php this line :

$g_allow_bug_delete_access_level = ADMINISTRATOR;

or

$g_allow_bug_delete_access_level = NOBODY;

This doesn't work : DEVELOPPER level users and above can delete issues.

I found this setting in administration documentation. It's the only reference that I've found about this matter.

TagsNo tags attached.

Activities

atrol

atrol

2015-09-15 09:38

developer   ~0051467

This is a bug in documentation.
$g_allow_bug_delete_access_level is obsolete and has been replaced by $g_delete_bug_threshold

jean.fms

jean.fms

2015-09-15 09:50

reporter   ~0051468

Thank you for your faster answer.
I have just found this to follow code; in html_api.php function html_button_bug_delete()

Tests are ok; problem resolved.

dregad

dregad

2015-09-16 06:08

developer   ~0051481

On-line doc is now updated.
https://mantisbt.org/docs/master-1.2.x/en/administration_guide/admin.config.misc.html

Related Changesets

MantisBT: master-1.2.x a6bb2d1a

2015-09-16 03:25:30

dregad

Details Diff
Doc: update obsolete $g_allow_bug_delete_access_level

This config option has been replaced by $g_delete_bug_threshold in 2003
(see dea2c10c4064a523f29a7b7298e83f28a9813337 and
c68711c7697d78407b3c793257fd8ba1cb6e10f6).

Fixes 0020116
mod - docbook/administration_guide/en/configuration.sgml Diff File

MantisBT: master a22ccf03

2015-09-16 03:25:30

dregad

Details Diff
Doc: update obsolete $g_allow_bug_delete_access_level

This config option has been replaced by $g_delete_bug_threshold in 2003
(see dea2c10c4064a523f29a7b7298e83f28a9813337 and
c68711c7697d78407b3c793257fd8ba1cb6e10f6).

Fixes 0020116
mod - docbook/Admin_Guide/en-US/config/misc.xml Diff File

Issue History

Date Modified Username Field Change
2015-09-15 08:54 jean.fms New Issue
2015-09-15 09:38 atrol Note Added: 0051467
2015-09-15 09:39 atrol Status new => confirmed
2015-09-15 09:40 atrol Category authorization => documentation
2015-09-15 09:40 atrol Summary Users can remove issues => Documentation contains description for obsolete configuration option allow_bug_delete_access_level
2015-09-15 09:50 jean.fms Note Added: 0051468
2015-09-16 03:44 dregad Changeset attached => MantisBT master-1.2.x a6bb2d1a
2015-09-16 03:44 dregad Assigned To => dregad
2015-09-16 03:44 dregad Status confirmed => resolved
2015-09-16 03:44 dregad Resolution open => fixed
2015-09-16 03:44 dregad Fixed in Version => 1.2.20
2015-09-16 03:46 dregad Changeset attached => MantisBT master a22ccf03
2015-09-16 03:50 dregad Target Version => 1.2.20
2015-09-16 06:08 dregad Note Added: 0051481
2016-08-15 09:02 dregad Status resolved => closed